(* Программа tm -- демонстрация структуры tm *)
uses linux,stdio;

var 
  t:longint;
  tp:ptm;
begin
  (* Получить системное время *)
  t:=gettimeofday;

  (* Получить структуру tm *)
  tp := localtime (t);
  printf ('Время %02d:%02d:%02d'#$a, [tp^.tm_hour, tp^.tm_min, tp^.tm_sec]);
  halt (0);
end.
